OpenJPEG: t1_generate_luts.c File Reference

OpenJPEG 2.5.0

Functions | Variables
t1_generate_luts.c File Reference
`#include "opj_includes.h"`

## Functions
OPJ_BOOL | vlc_init_tables ()
| Initializes vlc_tbl0 and vlc_tbl1 tables, from table0.h and table1.h.
static int | t1_init_ctxno_zc (OPJ_UINT32 f, OPJ_UINT32 orient)
static int | t1_init_ctxno_sc (OPJ_UINT32 f)
static int | t1_init_spb (OPJ_UINT32 f)
static void | dump_array16 (int array[], int size)
int | main (int argc, char **argv)

## Variables
OPJ_BOOL | vlc_tables_initialized
| Initializes VLC tables vlc_tbl0 and vlc_tbl1.
int | vlc_tbl0 [1024]
| vlc_tbl0 contains decoding information for initial row of quads
int | vlc_tbl1 [1024]
| vlc_tbl1 contains decoding information for non-initial row of quads

## Function Documentation

## ◆ dump_array16()

static void dump_array16 | ( | int | array[],
|  | int | size
| ) |  |
| static

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

References dump_array16(), lut_ctxno_zc, lut_nmsedec_ref, lut_nmsedec_ref0, lut_nmsedec_sig, lut_nmsedec_sig0, opj_int_max(), t1_init_ctxno_sc(), t1_init_ctxno_zc(), t1_init_spb(), T1_NMSEDEC_BITS, T1_NMSEDEC_FRACBITS, vlc_init_tables(), vlc_tables_initialized, vlc_tbl0, and vlc_tbl1.

## ◆ t1_init_ctxno_sc()

static int t1_init_ctxno_sc | ( | OPJ_UINT32 | f | ) |
| static

References opj_int_min(), T1_CTXNO_SC, T1_LUT_SGN_E, T1_LUT_SGN_N, T1_LUT_SGN_S, T1_LUT_SGN_W, T1_LUT_SIG_E, T1_LUT_SIG_N, T1_LUT_SIG_S, and T1_LUT_SIG_W.

Referenced by main().

## ◆ t1_init_ctxno_zc()

static int t1_init_ctxno_zc | ( | OPJ_UINT32 | f,
|  | OPJ_UINT32 | orient
| ) |  |
| static

References T1_CTXNO_ZC, T1_SIGMA_0, T1_SIGMA_1, T1_SIGMA_2, T1_SIGMA_3, T1_SIGMA_5, T1_SIGMA_6, T1_SIGMA_7, and T1_SIGMA_8.

Referenced by main().

## ◆ t1_init_spb()

static int t1_init_spb | ( | OPJ_UINT32 | f | ) |
| static

References opj_int_min(), T1_LUT_SGN_E, T1_LUT_SGN_N, T1_LUT_SGN_S, T1_LUT_SGN_W, T1_LUT_SIG_E, T1_LUT_SIG_N, T1_LUT_SIG_S, and T1_LUT_SIG_W.

Referenced by main().